%define rel   1

Name: kdepim4-runtime
Summary: K Desktop Environment
Version: 4.8.2
Release: %mkrel %{rel}
Group: Graphical desktop/KDE
License: GPLv2 and LGPLv2
Epoch: 2
URL: http://pim.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdepim-runtime-%version.tar.xz
BuildRequires: kdepimlibs4-devel >= 2:%version
BuildRequires: pkgconfig(akonadi)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(libstreams)
BuildRequires: pkgconfig(shared-desktop-ontologies)
BuildRequires: qt4-qtdbus
BuildRequires: automoc4
BuildRequires: boost-devel
BuildRequires: gdbm-devel
# Branch patchs (100-200)

# Trunk patchs (200-300)
# Mageia/Fedora/others patchs (300-400)

%description
Information Management applications for the K Desktop Environment runtime libs.

#-----------------------------------------------------------------------------

%package -n akonadi-kde
Group: Graphical desktop/KDE
Summary: Akonadi control center for KDE
Requires: akonadi >= 1:1.2.1
Requires: mysql-client
Obsoletes: nepomuk-email-feeder < 2:4.7.90
Conflicts: %{name}-devel < 2:4.6.90
%description -n akonadi-kde
Akonadi control center for KDE.

%files -n akonadi-kde
%doc COPYING COPYING.LIB
%_kde_bindir/*
%_kde_appsdir/akonadi
%_kde_appsdir/akonadi_knut_resource
%_kde_applicationsdir/accountwizard.desktop
%_kde_applicationsdir/akonaditray.desktop
%_kde_datadir/akonadi
%_kde_services/akonadi
%_kde_services/*.desktop
%_kde_services/akonadi.protocol
%_kde_services/kresources/kabc/akonadi.desktop 
%_kde_services/kresources/kcal/akonadi.desktop
%_kde_datadir/mime/packages/*
%_kde_libdir/kde4/*
%_kde_libdir/libnepomukdatamanagement-copy.so
%_kde_iconsdir/hicolor/*/apps/ox.png
%_kde_iconsdir/hicolor/*/apps/kolab.png
%_kde_configdir/*
%_kde_datadir/autostart/kaddressbookmigrator.desktop
%_kde_datadir/ontology/kde/aneo.*
%_kde_appsdir/akonadi_maildispatcher_agent/akonadi_maildispatcher_agent.notifyrc
%_kde_servicetypes/*.desktop
%_datadir/dbus-1/interfaces/org.kde.Akonadi.Maildir.Settings.xml
%_datadir/dbus-1/interfaces/org.kde.Akonadi.MixedMaildir.Settings.xml

#------------------------------------------------------------------------------

%define akonadi_xml_major 4
%define libakonadi_xml %mklibname akonadi-xml %{akonadi_xml_major}

%package -n %libakonadi_xml
Summary: Akonadi xml library
Group: System/Libraries

%description -n %libakonadi_xml
This library allow to convert a Akonadi collection subtree into a XML file.

%files -n %libakonadi_xml
%_kde_libdir/libakonadi-xml.so.%{akonadi_xml_major}*

#------------------------------------------------------------------------------

%define kdepim_copy_major 4
%define libkdepim_copy %mklibname kdepim-copy %{kdepim_copy_major}

%package -n %libkdepim_copy
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libkdepim_copy
KDEPIM 4 library.

%files -n %libkdepim_copy
%_kde_libdir/libkdepim-copy.so.%{kdepim_copy_major}*

#------------------------------------------------------------------------------

%define maildir_major 4
%define libmaildir %mklibname maildir %{maildir_major}

%package -n %libmaildir
Summary: KDEPIM 4 library
Group: System/Libraries

%description -n %libmaildir
KDEPIM 4 library.

%files -n %libmaildir
%_kde_libdir/libmaildir.so.%{maildir_major}*

#------------------------------------------------------------------------------

%define akonadi_filestore_major 4
%define libakonadi_filestore %mklibname akonadi-filestore %{akonadi_filestore_major}

%package -n %libakonadi_filestore
Summary: Akonadi filestore library
Group: System/Libraries

%description -n %libakonadi_filestore
Akonadi filestore library.

%files  -n %libakonadi_filestore
%_kde_libdir/libakonadi-filestore.so.%{akonadi_filestore_major}*

#------------------------------------------------------------------------------

%define kminexreader_major 4
%define libkmindexreader %mklibname kmindexreader %kminexreader_major

%package -n %libkmindexreader
Summary: KDEPIM Runtime library
Group: System/Libraries

%description -n %libkmindexreader
KDEPIM Runtime library

%files -n %libkmindexreader
%_kde_libdir/libkmindexreader.so.%{kminexreader_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %{libakonadi_xml} = %{epoch}:%{version}
Requires: %{libkmindexreader} = %{epoch}:%{version}
Requires: %{libkdepim_copy} = %{epoch}:%{version}
Requires: %{libakonadi_filestore} =  %{epoch}:%{version}
Requires: %{libmaildir} = %{epoch}:%{version}

%description devel
This package contains header files needed if you wish to build applications
based on kdepim-runtime.

%files devel
%_kde_libdir/libakonadi-filestore.so                                                                                                                                                                          
%_kde_libdir/libakonadi-xml.so                                                                                                                                                                                
%_kde_libdir/libkdepim-copy.so                                                                                                                                                                                
%_kde_libdir/libkmindexreader.so                                                                                                                                                                              
%_kde_libdir/libmaildir.so                                                                                                                                                                                    

#------------------------------------------------------------------------------

%prep
%setup -q -n kdepim-runtime-%version
%apply_patches

%build

export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build
# Remove non packaged files
rm -rf %{buildroot}%{_kde_libdir}/libnepomukfeederpluginlib.a


%changelog

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228445
- new version 4.8.2

  + mikala <mikala>
    - New upstream tarball

* Wed Mar 07 2012 fwang <fwang> 2:4.8.1-1.mga2
+ Revision: 220842
- new version 4.8.1

* Mon Jan 23 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 200262
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 190904
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185893
- Update tarball to KDE SC 4.7.95
- drop patch100 (merged upstream)

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182269
- Fix files list
- Update tarball to KDE SC 4.7.90
- use gold as linker
- add patch300 from fedora to disable nepomuk notification when nepomuk is disabled

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176410
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161312
- Update tarball to KDE SC 4.7.3
- Use correct macro for dbus files

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151949
- Update tarball to KDE SC 4.7.2
- drop patch300

* Wed Sep 21 2011 mikala <mikala> 2:4.7.1-2.mga2
+ Revision: 146413
- Add patch300 from upstream (fix a bug which can cause mail loss with pop3)

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140641
- Update tarball to KDE SC 4.7.1
- Fix BuildRequires
- Fix requires in -devel package
- Update tarball to KDE SC 4.7.0
- use pkgconfig() for buildrequires
- remove %%defattr
- fix license

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-1.mga2
+ Revision: 122425
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 115949
- Update version requires for -devel package
- Update tarball to KDE SC 4.7 RC1 (4.6.90)
- Fix files list

* Wed Apr 27 2011 mikala <mikala> 2:4.4.11.1-0.mga1
+ Revision: 92053
- Update tarball to 4.4.11
- Drop patch merged
- Add some branchs patch:
  - Patch300 to have less warnings when building against a new kdepimlibs.
  - Patch301 which Implement readOnly() for Akonadi kresources (useful for readonly resources like akonadi-facebook).
- Add patch from 4.4 branch ( Backport KDialog -> KNotification change )

* Wed Feb 16 2011 mikala <mikala> 2:4.4.10-1.mga1
+ Revision: 52145
- Update to 4.4.10
- Update Summary and Descriptions for some subpackages

* Mon Jan 24 2011 ahmad <ahmad> 2:4.4.9-4.mga1
+ Revision: 35983
+ rebuild (emptylog)

* Fri Jan 21 2011 ahmad <ahmad> 2:4.4.9-3.mga1
+ Revision: 29704
+ rebuild (emptylog)

* Fri Jan 21 2011 dmorgan <dmorgan> 2:4.4.9-2.mga1
+ Revision: 29463
- imported package kdepim4-runtime


* Tue Dec 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.8-0.1mdv2010.1
+ Revision: 614260
- New version 4.4.8

* Wed Jun 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.3-3mdv2010.1
+ Revision: 546960
- Add missing patch
- Akonaditray requires mysqldump
  CCBUG: 59570
- Rebuild in release mode

* Thu May 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.3-1mdv2010.1
+ Revision: 542790
- Remove P301 : Merged upstream
- Update to version 4.4.3

* Wed Apr 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.2-3mdv2010.1
+ Revision: 540303
- Add a patch fixing disribution list

* Fri Apr 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.2-2mdv2010.1
+ Revision: 530762
- Enable back those patches

* Tue Mar 30 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.2-1mdv2010.1
+ Revision: 530076
- Disabled akonadi patches, will be fixed after beta1
- Silent akonadi start ( P200 P201 )
- Update to version 4.4.2

* Tue Mar 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.1-1mdv2010.1
+ Revision: 513423
- Update to version 4.4.1

* Tue Feb 09 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.0-1mdv2010.1
+ Revision: 502633
- Update to version 4.4.0

* Mon Feb 01 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.98-1mdv2010.1
+ Revision: 498959
- Update to version 4.3.98 aka "kde 4.4 RC3"

* Mon Jan 25 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.95-1mdv2010.1
+ Revision: 496119
- Update to kde 4.4 Rc2

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 2:4.3.90-2mdv2010.1
+ Revision: 489627
- rebuild for missing packages

* Sun Jan 10 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.90-1mdv2010.1
+ Revision: 488234
- Update to kde 4.4 rc1
- Fix use of majors

* Mon Dec 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.85-2mdv2010.1
+ Revision: 480965
- Add patch to fix build
  Fix file list
- Update release because new bs failure
- Update to kde 4.4 beta2

* Fri Dec 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.80-1mdv2010.1
+ Revision: 473251
- Add shared-desktop-ontologies-devel as BuildRequire
- Update to kde 4.4 Beta1

* Sat Nov 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.77-1mdv2010.1
+ Revision: 470730
- Update to kde 4.3.77

* Tue Nov 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.75-1mdv2010.1
+ Revision: 466835
- Update to kde 4.3.75

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.73-2mdv2010.1
+ Revision: 465102
- Rebuild against new qt

* Sun Nov 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.73-1mdv2010.1
+ Revision: 462756
- Update to kde 4.3.73

* Tue Oct 06 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.2-1mdv2010.0
+ Revision: 454404
- New upstream release 4.3.2.

* Thu Sep 03 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.1-2mdv2010.0
+ Revision: 428850
- Move kdepim4-runtime naming to a proper akonadi-kde name
- Fix KDE bug 205742 ( Fail to read spaces in filename of addressbooks ) Thanks to mikala

* Tue Sep 01 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.1-1mdv2010.0
+ Revision: 423183
- New upstream release 4.3.1.

* Mon Aug 10 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.0-4mdv2010.0
+ Revision: 414271
- Fix BuildRequires
- Fix BuildRequires
- Add conflicts

* Tue Aug 04 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.0-3mdv2010.0
+ Revision: 409306
- New upstream release 4.3.0.

* Tue Jul 28 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.2.98-2mdv2010.0
+ Revision: 402519
- Add obsoletes to old library

* Fri Jul 24 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.2.98-1mdv2010.0
+ Revision: 399491
- Update for KDE 4.3 RC3
- imported package kdepim4-runtime

* Sat Jul 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.96-1mdv2010.0
+ Revision: 394819
- Fix file list
- Update to Rc2

* Sat Jun 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.95-3mdv2010.0
+ Revision: 389597
- Fix Requires

* Fri Jun 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.95-2mdv2010.0
+ Revision: 389418
- Add conflict

* Fri Jun 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.95-1mdv2010.0
+ Revision: 389367
- import kdepim4-runtime


